<?php

class m120306_173556_tbl_candidatos_capacidades extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_capacidades', array(
                'id' => 'pk',
                'candidato_id' => 'integer NOT NULL',
                'perfil_tecnico_id' => 'integer NOT NULL',
                'meses_perfil_tecnico' => 'integer',
                'observaciones' => 'text',
            ));

            $this->addForeignKey('fk_candidatos_capacidades_1', 'tbl_candidatos_capacidades', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('fk_candidatos_capacidades_2', 'tbl_candidatos_capacidades', 'perfil_tecnico_id', 'tbl_perfiles_tecnicos', 'id', 'CASCADE', 'RESTRICT');
	}

	public function down()
	{            
            $this->dropForeignKey('fk_candidatos_capacidades_2', 'tbl_candidatos_capacidades');
            $this->dropForeignKey('fk_candidatos_capacidades_1', 'tbl_candidatos_capacidades');
            $this->dropTable('tbl_candidatos_capacidades');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}